### Constructor

# RB ListModel new

#### Declaration [src]

    RBListModel*
    rb_list_model_new (
      GType item_type,
      GDestroyNotify destroy_item
    )

#### Description [src]

Creates a new empty list model.

#### Parameters

`item_type`

  Type: `GType`

  A `GType` for items in the list.

`destroy_item`

  Type: `GDestroyNotify`

  Callback for destroying list items.

#### Return value

Type: `RBListModel`

The model.

The caller of the function takes ownership of the data, and is responsible for freeing it.